.pretty-checkbox {
    position: relative;

    &__input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;

        &:focus + .pretty-checkbox__label {

        }

        &:checked + .pretty-checkbox__label {

            &::before {

            }

            &::after {
                opacity: 1;
                border-top-style : none;
                border-right-style : none;
                transform : rotate(-45deg);
                height : rem(6);
                width : rem(12);
                border-color : $green;
                border-radius : 0;
                border-width : 2px;
                top : rem(5);
                left : rem(3);
            }
        }

        &:disabled + .pretty-checkbox__label {
            opacity: 0.4;
        }
    }

    &__label {
        color: #3a3a3a;
        font-size: rem(16);
        line-height: rem(18);
        position: relative;
        padding-left: rem(30);
        display: inline-block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: rem(18);
            height: rem(18);
            display: block;
            background: $white;
            position: absolute;
            border-radius: rem(5);
            box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.2);
        }

        &:after {
            z-index: 5;
            content : '';
            opacity: 0;
            height : rem(18);
            width : rem(18);
            border : 1px solid $green;
            position : absolute;
            border-radius : rem(4);
            top : 0;
            left : 0;
            -webkit-transition : 100ms ease-in-out;
            transition : 100ms ease-in-out;
        }
    }

}
